---
# let root interact with the cluster
- name: create root .kube directory
  file:
    path: /root/.kube
    state: directory
    mode: 0755

- name: copy config to root home
  copy:
    src: /tmp/kube-config
    dest: /root/.kube/config

# let user interact with the cluster
- name: create user .kube directory
  file:
    path: /home/{{ ansible_user }}/.kube
    state: directory
    mode: 0755
    owner: "{{ ansible_user }}"

- name: copy config to user home
  copy:
    src: /tmp/kube-config
    dest: /home/{{ ansible_user }}/.kube/config

- name: copy cluster join command
  copy:
    src: /tmp/cluster_join_command.sh
    dest: /home/{{ ansible_user }}/cluster_join_command.sh
    mode: 0777

- name: execute cluster join command
  shell: /home/{{ ansible_user }}/cluster_join_command.sh
  register: joined

# print if join command was successful in console
- debug:
    msg: "{{ joined.stdout }}"
